# -*- coding: utf-8 -*-

#  PycaWM
#  atomsdb.py
#  Copyright (c) 2007 Vincent Rasneur, Anaël Verrier

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; version 3 only.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

import sys

if sys.version_info < (2, 5):
    raise ImportError('atomsdb module needs at least Python 2.5!')

from patterns import DictWrapper


class AtomsDB(DictWrapper):
    """Database for the atoms."""

    def build_db(self, display):
        self._data['display'] = display
        self._data['WM_TAKE_FOCUS'] = display.intern_atom('WM_TAKE_FOCUS')
        self._data['WM_PROTOCOLS'] = display.intern_atom('WM_PROTOCOLS')
        self._data['WM_DELETE_WINDOW'] = display.intern_atom('WM_DELETE_WINDOW')
        self._data['WM_CHANGE_STATE'] = display.intern_atom('WM_CHANGE_STATE')
        self._data['_MOTIF_WM_HINTS'] = display.intern_atom('_MOTIF_WM_HINTS')
        self._data['_NET_WM_ICON'] = display.intern_atom('_NET_WM_ICON')

atomsdb = AtomsDB()
